<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';


if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);


if ($ank['id']==0)
{
$ank=get_user($ank['id']);
$set['title']=$ank['nick'].' - анкета '; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();
echo "<span class=\"status\">$ank[group_name]</span><br />\n";

if ($ank['ank_o_sebe']!=NULL)echo "<span class=\"ank_n\">О себе:</span> <span class=\"ank_d\">$ank[ank_o_sebe]</span><br />\n";




if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "<div class='foot'>&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n</div>\n";

include_once 'sys/inc/tfoot.php';
exit;
}

$ank=get_user($ank['id']);
if(!$ank){header("Location: /index.php?".SID);exit;}

$ank['rating']=intval(@mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$ank[id]'"),0));
$set['title']='Анкета '.$ank['nick'].''; // заголовок страницы
include_once 'sys/inc/thead.php';
title();

if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!ereg('info\.php',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',ereg_replace('^http://[^/]*/','/', $_SERVER['HTTP_REFERER']));
################################################################################
if (isset($_GET['rating']) && isset($user)  && $user['id']!=$ank['id'] && $user['balls']>=500 && mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$user[id]'"),0)>=0)
{
$my_r=intval(@mysql_result(mysql_query("SELECT `rating` FROM `user_voice2` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"),0));
if ($my_r>'0'){
msg('Вы уже голосовали');
}else{
$new_r=min(max(@intval($_GET['rating']),1),5);
mysql_query("DELETE FROM `user_voice2` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' LIMIT 1");
if ($new_r)
mysql_query("INSERT INTO `user_voice2` (`rating`, `id_user`, `id_kont`) VALUES ('$new_r','$user[id]','$ank[id]')");
$ank['rating']=intval(mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$ank[id]'"),0));
mysql_query("UPDATE `user` SET `rating` = '$ank[rating]' WHERE `id` = '$ank[id]' LIMIT 1");
if ($new_r==1)
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]]$user[nick][/url] Проголосовал(а)! Оценка +1', '$time')");
if ($new_r==2)
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]]$user[nick][/url] Проголосовал(а)! Оценка +2', '$time')");
if ($new_r==3)
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]]$user[nick][/url] Проголосовал(а)! Оценка +3', '$time')");
if ($new_r==4)
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]]$user[nick][/url] Проголосовал(а)! Оценка +4', '$time')");
if ($new_r==5)
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]]$user[nick][/url] Проголосовал(а)! Оценка +5', '$time')");
msg('Ваше мнение о пользователе успешно изменено');
}}
################################################################################
aut();
################################################################################
echo "<div class='www'>";
if(is_file("sys/avatar/$ank[id].gif")){
echo "<img src='/sys/avatar/$ank[id].gif'><br />\n";
}else if(is_file("sys/avatar/$ank[id].jpg")){
echo "<img src='/sys/avatar/$ank[id].jpg'><br />\n";
}else if(is_file("sys/avatar/$ank[id].png")){
echo "<img src='/sys/avatar/$ank[id].png'><br />\n";
}else{
echo '<img src="/sys/avatar/0.png"><br />';}
echo '<img src="/static.php?p='.$ank['rating'].'" alt="'.$ank['rating'].'" /><br />';
################################################################################
echo "<img src='/style/ank/2.gif'> ID: $ank[id]<br />\n";
///////
echo "".status($ank['id'])." ";
if ($ank['group_access']==0)echo "Пользователь<br />";
if ($ank['group_access']==1)echo "Пользователь<br />";
if ($ank['group_access']==2)echo "Модератор чата<br />";					
if ($ank['group_access']==3)echo "Модератор форума<br />";
if ($ank['group_access']==4)echo "Модератор загруз-центра<br />";
if ($ank['group_access']==5)echo "Модератор библиотеки<br />";
if ($ank['group_access']==6)echo "Модератор фотогалереи<br />";
if ($ank['group_access']==7)echo "Супермодератор<br />";
if ($ank['group_access']==8)echo "Администратор<br />";
if ($ank['group_access']==9)echo "Главный администратор<br />";
if ($ank['group_access']==15)echo "Создатель<br />";
if(isset($user) && $user['id']==$ank['id']){
echo '<img src="/style/ank/settings.gif"> <a href="/anketa.php">Изменить анкету</a><br />';}
echo "</div>";
################################################################################
echo "<div class='www'>";
$q=mysql_fetch_array(mysql_query("SELECT * FROM `city` WHERE `city_id`='$ank[mycity]' LIMIT 1"));
$stra=$q[country_id];
$regi=$q[region_id];
$qregi=mysql_fetch_array(mysql_query("SELECT * FROM `region` WHERE `region_id`='$regi' LIMIT 1"));
$qcoun=mysql_fetch_array(mysql_query("SELECT * FROM `country` WHERE `country_id`='$stra' LIMIT 1"));
if ($ank['mycity']!=0){
echo "<img src=\"/style/ank/info.gif\" alt=\"\" class=\"icon\"/> <span class=\"ank_n\">Страна: $qcoun[name]</span></a><br />\n";
echo "<img src=\"/style/ank/info.gif\" alt=\"\" class=\"icon\"/> <span class=\"ank_n\">Регион: $qregi[name]</span><br />\n";
echo "<img src=\"/style/ank/info.gif\" alt=\"\" class=\"icon\"/> <span class=\"ank_n\">Город: $q[name]</span><br />\n";}

if(isset($user) && $user['id']==$ank['id']){
echo '<img src="/style/ank/settings.gif" alt="" class="icon"/> <a href="/countr.php">Настройкa города</a><br />';}
echo "</div>";
echo "<div class='www2'>";
################################################################################
################################################################################
if ($ank['ank_name']!=NULL)echo "<img src='/style/ank/ic_a42.gif'> <b>Имя:</b> $ank[ank_name]<br />\n";
################################################################################
if ($ank['pol']==1)
echo "<img src='/style/ank/ic_a28.gif'> <b>Пол:</b> Мужской<br />\n";
else
echo "<img src='/style/ank/ic_a28.gif'> <b>Пол:</b> Женский<br />\n";
################################################################################
if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<img src='/style/ank/cake.png'> <b>День рождения:</b> $ank[ank_d_r] $ank[mes] $ank[ank_g_r]г.<br />\n";
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "<img src='/style/ank/ic_a2.gif'> <b>Возраст:</b> $ank[ank_age]<br />\n";
}
elseif($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL)
{
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<img src='/style/ank/cake.png'> <b>День рождения:</b> $ank[ank_d_r] $ank[mes]<br />\n";
}
################################################################################
if ($ank['ank_modeltelefona']!=NULL)echo "<img src='/style/ank/ic_a19.gif'> <b>Модель телефона:</b> $ank[ank_modeltelefona]<br />\n";
################################################################################
if ($ank['ank_operator']!=NULL)echo "<img src='/style/ank/ic_a23.gif'> <b>Оператор:</b> $ank[ank_operator]<br />\n";
################################################################################
if ($ank['ank_city']!=NULL)echo "<img src='/style/ank/ic_a3.gif'> <b>Город:</b> $ank[ank_city]<br />\n";
################################################################################
if ($ank['ank_xobbi']!=NULL)echo "<img src='/style/ank/ic_a39.gif'> <b>Хобби:</b> $ank[ank_xobbi]<br />\n";
################################################################################
if ($ank['ank_o_sebe']!=NULL)echo "<img src='/style/ank/ic_a24.gif'> <b>О себе:</b> $ank[ank_o_sebe]<br />\n";
################################################################################
if ($ank['ank_icq']!=NULL)echo "<img src='/style/ank/ic_a1.gif'> <b>ICQ:</b> $ank[ank_icq]<br />\n";
################################################################################
if ($ank['ank_mail']!=NULL && ($ank['set_show_mail']==1 || isset($user) && ($user['level']>$ank['level'] || $user['level']==4))){

if ($ank['set_show_mail']==0)$hide_mail=' (скрыт)';else $hide_mail=NULL;

if (ereg("(@mail\.ru$)|(@bk\.ru$)|(@inbox\.ru$)|(@list\.ru$)|(@yandex\.ru$)|(@rambler\.ru$)", $ank['ank_mail']))
echo "<img src='/style/ank/ic_a10.gif'> <b>E-Mail:</b> <a href=\"mailto:$ank[ank_mail]\" title=\"Написать письмо\" class=\"ank_d\">$ank[ank_mail]</a>$hide_mail<br />\n";
}
################################################################################
if ($ank['ank_sait']!=NULL)echo "<img src='/style/ank/ic_a34.gif'> <b>Сайт:</b> $ank[ank_sait]<br />\n";
echo "</div>";
echo "<div class='www'>";
$k_fr = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1'"), 0);
echo '<img src="/style/ank/friends.gif"> <a href="frend.php?id='.$ank['id'].'">Moи дpyзья ('.$k_fr.')</a><br />';

//echo "<img src='/style/ank/files.gif'> <a href='/pages/files.php?id=$ank[id]'>Мои файлы ";
//echo "(" . mysql_result( mysql_query( "SELECT COUNT(*) FROM `obmennik_files` WHERE `id_user` = '$ank[id]'" ), 0 ) . ")</a><br />";
$blog=mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_list` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/ank/blog.png'> <a href='/blog/user.php?id=$ank[id]'>Moй днeвник ($blog)</a><br />\n";
echo"<img src=\"/style/ank/777.gif\" alt=\"\"/> <a href='/present/presentlist.php?user=$ank[id]'>Мои подарки (".mysql_result(mysql_query("SELECT COUNT(*) FROM `present_give` WHERE `id_give` = '$ank[id]'"),0).")</a><br />\n";
$foto = mysql_num_rows( mysql_query( "SELECT `id` FROM `gallery` WHERE `id_user` = '$ank[id]'" ) );
echo "<img src='/style/ank/foto.png'> <a href='/foto/$ank[id]/'>Мои фотографии ($foto)</a><br />";
echo "</div>";
################################################################################
echo "<div class='www2'>Статистика</div>";
echo "<div class='www'>";
################################################################################
$k_them=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_t` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/ank/kf.gif'> Тем в форуме: $k_them<br />\n";
################################################################################
$chat_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_post` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/ank/chatt.png'> Сообщений в чате: $chat_post<br />\n";
################################################################################
$k_p_forum=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_p` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/ank/kom.png'> Сообщений в форуме: $k_p_forum<br />\n";
################################################################################
$news_komm=mysql_result(mysql_query("SELECT COUNT(*) FROM `news_komm` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/ank/k.gif'> Комментарии новостей: $news_komm<br />\n";
################################################################################
$komm_loads=mysql_result(mysql_query("SELECT COUNT(*) FROM `loads_komm` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/ank/usr_r.gif'> Комментарии в загрузках: $komm_loads<br />\n";
################################################################################
echo "</div>";
################################################################################
if (isset($user)  && $user['id']!=$ank['id'] && $user['balls']>=500 && mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` != '$user[id]'"),0)>=0)
{
$my_r=intval(@mysql_result(mysql_query("SELECT `rating` FROM `user_voice2` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"),0));
echo "\n";
if ($my_r>'0'){
if ($my_r==1)
echo "";
if ($my_r==2)
echo "";
if ($my_r==3)
echo "";
if ($my_r==4)
echo "";
if ($my_r==5)
echo "";
}else{
echo "<div class='www2'>";
echo "<a href=\"/info.php?id=$ank[id]&amp;rating=1\" title=\"+1\">+1</a>\n";
echo "|\n";
echo "<a href=\"/info.php?id=$ank[id]&amp;rating=2\" title=\"+2\">+2</a>\n";
echo "|\n";
echo "<a href=\"/info.php?id=$ank[id]&amp;rating=3\" title=\"+3\">+3</a>\n";
echo "|\n";
echo "<a href=\"/info.php?id=$ank[id]&amp;rating=4\" title=\"+4\">+4</a>\n";
echo "|\n";
echo "<a href=\"/info.php?id=$ank[id]&amp;rating=5\" title=\"+5\">+5</a>\n";
echo "</div>";
}
echo "\n";
}
################################################################################
echo "<div class='www2'>";
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' AND `date_last` > '".(time()-600)."' LIMIT 1"),0)==1)
echo "".online($ank['id'])." <b>Сейчас на сайте</b><br />\n";
if ($ank['prosm']!=NULL){
echo "<img src='/style/ank/p.png'> <span class=\"ank_n\">Страничка просмотрена:</span> $ank[prosm] раз(а)<br />\n";}else{echo "<img src='/style/ank/p.png'> Страничка просмотрена: 0 раз(а)<br />\n";}
echo "<img src='/style/ank/ic_a9.gif'> <span class=\"ank_n\">Время на сайте:</span> <span class=\"ank_d\">$displaystring</span><br />\n";
$perehodu=mysql_result(mysql_query("SELECT `perehodu` FROM `user` WHERE `id` = '$ank[id]' LIMIT 1",$db), 0);
echo "<img src='/style/ank/ic_gp31.gif'> <span class=\"ank_n\">Переходов по сайту:</span> <span class=\"ank_d\">$perehodu</span><br />\n";
echo "<img src='/style/ank/ic_a30.gif'> <span class=\"ank_n\">Посл. посещение:</span> ".vremja($ank['date_last'])."<br />\n";
echo "<img src='/style/ank/ic_a6.gif'> <span class=\"ank_n\">Регистрация:</span> ".vremja($ank['date_reg'])."<br />\n";
echo "</div>";
echo "<div class='www'>";
if (isset($user) && $user['id']!=$ank['id'])echo "<img src=\"/style/ank/777.gif\" alt=\"\"/> <a href='/present/present.php?user=$ank[id]'>Сделать подарок</a><br />\n";

$d1sql = mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1");
$d2sql = mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$ank[id]' AND `frend` = '$user[id]') OR (`user` = '$user[id]' AND `frend` = '$ank[id]') LIMIT 1");
if (isset($user) && $user['id']!=$ank['id'] && mysql_result($d1sql, 0)==0 && mysql_result($d2sql, 0)==0)
{
echo '<img src="/style/ank/friend.gif"> <a href="/frend_add.php?id='.$ank['id'].'">Предложить дружбу</a><br />';
}
if (isset($user) && $user['id']!=$ank['id'])echo "<img src='/style/ank/privat.gif' alt='d' /> <a href=\"/mail.php?id=$ank[id]\">Написать сообщение</a><br />\n";
echo "</div>";
################################################################################
include_once 'sys/inc/tfoot.php';
?>